Bug 1013347 - /etc/sysconfig/nfs is deleted on cleanup
/etc/sysconfig/nfs is deleted on cleanup
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
Unspecified Unspecified
urgent Severity high
: ---
: 3.3.1
Assigned To: Yedidyah Bar David
integration
: Reopened, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 09:08 EDT by Yedidyah Bar David
Modified: 2013-11-25 07:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 07:05:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19001 None None None Never
oVirt gerrit 20204 None None None Never
oVirt gerrit 20315 None None None Never
oVirt gerrit 20316 None None None Never
oVirt gerrit 20452 None None None Never

  None (edit)
Description Yedidyah Bar David 2013-09-29 09:08:16 EDT
Description of problem:

If /etc/sysconfig/nfs was changed during setup, it is deleted during cleanup.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Run engine-setup
2. Choose to configure a local NFS ISO domain
3.Run engine-cleanup

Actual results:

/etc/sysconfig/nfs is deleted

Expected results:

/etc/sysconfig/nfs should have the same contents it had before engine-setup.

Additional info:
Comment 1 Eyal Edri 2013-10-13 12:19:45 EDT
any update on merging this?
Comment 2 Sandro Bonazzola 2013-10-18 03:30:12 EDT
It seems that the solution implemented is breaking nfs configuration:
using nightly setup leads to /etc/sysconfig/nfs:


 # Options specific to ovirt engine.
 # Changing this file will make engine-setup change /etc/sysconfig/nfs.
 # You might want to also change iptables/firewalld.
 RPCNFSDCOUNT=8
 LOCKD_TCPPORT=32803
 LOCKD_UDPPORT=32769
 # RPCMOUNTDOPTS="-p 892"
 RPCMOUNTDOPTS = -p 892
 # RPCRQUOTADOPTS="-p 875"
 RPCRQUOTADOPTS = -p 875
 # STATDARG="-p 662 -o 2020"
 STATDARG = -p 662 -o 2020

Note the space around =, it causes 

 RPCMOUNTDOPTS command not found
 RPCRQUOTADOPTS command not found
 STATDARG command not found

when starting nfs service
Comment 3 Sandro Bonazzola 2013-11-25 07:05:23 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.